PalladiumEvents.registerAnimations((event) => {
    event.register('arrzee/tachyon_cordaxe_frontflip1', 20, (builder) => {
        if (abilityUtil.isEnabled(builder.getPlayer(), "arrzenhanced:tachyon_cordaxe_armor", "frontflip_anim")) {
            const progress_frontflip1 = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:tachyon_cordaxe_armor', 'frontflip_anim', builder.getPartialTicks(), 1, 2);
            if (progress_frontflip1 > 0 && !builder.isFirstPerson()) {
                builder.get('body')
                .setXRotDegrees(-55)
                .setZRotDegrees(0)
                .setYRotDegrees(0)
                .setY(10)
                .setZ(15)
                .animate('Linear', progress_frontflip1);
                
                builder.get('left_arm')
                .setXRotDegrees(-50)
                .setZRotDegrees(5)
                .setYRotDegrees(20)
                .animate('Linear', progress_frontflip1);

                builder.get('right_arm')
                .setXRotDegrees(-50)
                .setZRotDegrees(-5)
                .setYRotDegrees(-20)
                .animate('Linear', progress_frontflip1);

                builder.get('left_leg')
                .setXRotDegrees(-70)
                .setZRotDegrees(0)
                .setYRotDegrees(0)
                .animate('Linear', progress_frontflip1);

                builder.get('right_leg')
                .setXRotDegrees(-80)
                .setZRotDegrees(0)
                .setYRotDegrees(0)
                .animate('Linear', progress_frontflip1);
            }
            if (progress_frontflip1 > 0.0 && builder.isFirstPerson()) {}
        }
    })

    event.register('arrzee/tachyon_cordaxe_frontflip2', 20, (builder) => {
        
    if (abilityUtil.isEnabled(builder.getPlayer(), "arrzenhanced:tachyon_cordaxe_armor", "frontflip_anim")) {

        const progress_frontflip2 = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:tachyon_cordaxe_armor', 'frontflip_anim', builder.getPartialTicks(), 2, 4);
        if (progress_frontflip2 > 0 && !builder.isFirstPerson()) {
            builder.get('body')
            .setXRotDegrees(-125)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .setY(25)
            .setZ(15)
            .animate('Linear', progress_frontflip2);
            
            builder.get('left_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(5)
            .setYRotDegrees(20)
            .animate('Linear', progress_frontflip2);

            builder.get('right_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(-5)
            .setYRotDegrees(-20)
            .animate('Linear', progress_frontflip2);

            builder.get('left_leg')
            .setXRotDegrees(-70)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip2);

            builder.get('right_leg')
            .setXRotDegrees(-80)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip2);

         }
         if (progress_frontflip2 > 0.0 && builder.isFirstPerson()) {
            }
    }})

    event.register('arrzee/tachyon_cordaxe_frontflip3', 20, (builder) => {
        
    if (abilityUtil.isEnabled(builder.getPlayer(), "arrzenhanced:tachyon_cordaxe_armor", "frontflip_anim")) {

        const progress_frontflip3 = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:tachyon_cordaxe_armor', 'frontflip_anim', builder.getPartialTicks(), 4, 6);
        if (progress_frontflip3 > 0 && !builder.isFirstPerson()) {
            builder.get('body')
            .setXRotDegrees(-205)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .setY(30)
            .setZ(-5)
            .animate('Linear', progress_frontflip3);
            
            builder.get('left_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(5)
            .setYRotDegrees(20)
            .animate('Linear', progress_frontflip3);

            builder.get('right_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(-5)
            .setYRotDegrees(-20)
            .animate('Linear', progress_frontflip3);

            builder.get('left_leg')
            .setXRotDegrees(-70)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip3);

            builder.get('right_leg')
            .setXRotDegrees(-80)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip3);

         }
         if (progress_frontflip3 > 0.0 && builder.isFirstPerson()) {
        }
    }})

    event.register('arrzee/tachyon_cordaxe_frontflip4', 20, (builder) => {

        const progress_frontflip4 = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:tachyon_cordaxe_armor', 'frontflip_anim', builder.getPartialTicks(), 6, 9);
        if (progress_frontflip4 > 0 && !builder.isFirstPerson()) {
            builder.get('body')
            .setXRotDegrees(-275)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .setY(10)
            .setZ(-15)
            .animate('Linear', progress_frontflip4);
            
            builder.get('left_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(5)
            .setYRotDegrees(20)
            .animate('Linear', progress_frontflip4);

            builder.get('right_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(-5)
            .setYRotDegrees(-20)
            .animate('Linear', progress_frontflip4);

            builder.get('left_leg')
            .setXRotDegrees(-70)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip4);

            builder.get('right_leg')
            .setXRotDegrees(-80)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip4);

         }
         if (progress_frontflip4 > 0.0 && builder.isFirstPerson()) {
    }})

    event.register('arrzee/tachyon_cordaxe_frontflip5', 20, (builder) => {

        const progress_frontflip5 = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:tachyon_cordaxe_armor', 'frontflip_anim', builder.getPartialTicks(), 9, 12);
        if (progress_frontflip5 > 0 && !builder.isFirstPerson()) {
            builder.get('body')
            .setXRotDegrees(-360)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .setY(-5)
            .setZ(0)
            .animate('Linear', progress_frontflip5);
            
            builder.get('left_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(5)
            .setYRotDegrees(20)
            .animate('Linear', progress_frontflip5);

            builder.get('right_arm')
            .setXRotDegrees(-50)
            .setZRotDegrees(-5)
            .setYRotDegrees(-20)
            .animate('Linear', progress_frontflip5);

            builder.get('left_leg')
            .setXRotDegrees(-70)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip5);

            builder.get('right_leg')
            .setXRotDegrees(-80)
            .setZRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_frontflip5);

         }
         if (progress_frontflip5 > 0.0 && builder.isFirstPerson()) {}
    });
});